curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications/{id}/verification-codes \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"birthDate": "2023-12-25",
"disclosuresAcceptedAtDateTime": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"businessStructureType": "CORPORATION_PUBLIC",
"dbaName": "<string>",
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"phoneNumber": "<string>",
"website": "<string>"
},
"businessOwners": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123
}
]
}Sends an email verification code to the work email address associated with a bank account application.
Token types: APP | Required scopes: embedded:bankaccountapplication:write
curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications/{id}/verification-codes \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"birthDate": "2023-12-25",
"disclosuresAcceptedAtDateTime": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"businessStructureType": "CORPORATION_PUBLIC",
"dbaName": "<string>",
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"phoneNumber": "<string>",
"website": "<string>"
},
"businessOwners": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
Use this file to discover all available pages before exploring further.
Application (M2M) OAuth2 access token (client credentials).
The application ID.
Verification email sent successfully.
Response model for a bank account application.
Unique identifier for the bank account application.
Applicant information for the bank account.
Show child attributes
Business details associated with the application.
Show child attributes
List of business owners associated with the application.
Show child attributes
Was this page helpful?